APIs / Imovirtual / Search

Imovirtual: Search

Search from Imovirtual as JSON. 1 credit per successful call.

GET /v1/imovirtual/search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
transactionstringRequiredcomprar, arrendar
estatestringRequiredAny
locationstringOptionalUp to 128 characters
pageintegerOptionalAny
limitintegerOptional24, 36, 48, 72
priceMinintegerOptionalAny
priceMaxintegerOptionalAny
areaMinintegerOptionalAny
areaMaxintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/imovirtual/search?transaction=comprar&estate=apartamento&location=lisboa%2Flisboa&page=1&limit=24" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.